# $Revision: 1.24 $, $Date: 2002/10/14 20:18:14 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	WWW
%define	pnam	Babelfish
Summary:	WWW::Babelfish Perl module
Summary(cs):	Modul WWW::Babelfish pro Perl
Summary(da):	Perlmodul WWW::Babelfish
Summary(de):	WWW::Babelfish Perl Modul
Summary(es):	Mdulo de Perl WWW::Babelfish
Summary(fr):	Module Perl WWW::Babelfish
Summary(it):	Modulo di Perl WWW::Babelfish
Summary(ja):	WWW::Babelfish Perl ⥸塼
Summary(ko):	WWW::Babelfish  
Summary(no):	Perlmodul WWW::Babelfish
Summary(pl):	Modu Perla WWW::Babelfish
Summary(pt):	Mdulo de Perl WWW::Babelfish
Summary(pt_BR):	Mdulo Perl WWW::Babelfish
Summary(ru):	  Perl WWW::Babelfish
Summary(sv):	WWW::Babelfish Perlmodul
Summary(uk):	  Perl WWW::Babelfish
Summary(zh_CN):	WWW::Babelfish Perl ģ
Name:		perl-WWW-Babelfish
Version:	0.10
Release:	5
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-libwww
BuildRequires:	perl-IO-String
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Babelfish - perl module for translation via babelfish.

%description -l pl
WWW::Babelfish - modu do tumaczenia z wykorzystaniem babelfish.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

# tests are network-dependent and interactive
%{?_with_tests:%{__make} test}
 
%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf Changes README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitelib}/WWW/Babelfish.pm
# empty autosplit.ix
#%dir %{perl_sitelib}/auto/WWW/Babelfish
#%{perl_sitelib}/auto/WWW/Babelfish/autosplit.ix
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-WWW-Babelfish.spec,v $
Revision 1.24  2002/10/14 20:18:14  ankry
- disabled tests

Revision 1.23  2002/09/19 12:17:42  ankry
- added tests on bcond
- removed empty autosplit.ix
- translations, cleaning
- release 5

Revision 1.22  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:35:31  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:21:32  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:38:42  depesz
adapterized

Revision 1.16  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.14  2001/11/10 18:33:20  kloczek
- updated to 0.10.

Revision 1.13  2001/04/17 12:18:20  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/26 02:30:21  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.10  2000/08/16 22:31:33  kloczek
- updated to 0.09.

Revision 1.9  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 06:52:07  kloczek
- updated to 0.07.

Revision 1.3  2000/02/18 01:36:51  pius
- updated to 0.06

Revision 1.2  1999/11/07 09:18:48  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
